
Ruby - Bug #2263

typo in man/ruby.1

10/25/2009 12:31 AM - authorNari (Narihiro Nakamura)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.8.7 (2008-08-11 patchlevel 72)

[i486-linux]

Backport:  

Description

=begin

nariです。

今日、とある方から「manの表示が間違ってませんか？」というご指摘を受けました。

確認してみた所、セーフレベルのデフォルト値がおかしいようです。

$ man ruby

(snip)

-T[level]      Turns on taint checks at the specified level (default 1).

上記の部分は"(default 0)"ではないでしょうか？

以下は修正用のパッチです。

Index: man/ruby.1

--- man/ruby.1  (リビジョン 25452)

+++ man/ruby.1  (作業コピー)

@@ -206,7 +206,7 @@

.Ed

.Pp

.It Fl T Ns Op Ar level

-Turns on taint checks at the specified level (default 1).

+Turns on taint checks at the specified level (default 0).

.Pp

.It Fl U

Sets the defalut value for internal encodings

=end

History

#1 - 10/25/2009 12:40 AM - mame (Yusuke Endoh)

=begin

遠藤です。

2009年10月25日0:31 Narihiro Nakamura redmine@ruby-lang.org:

今日、とある方から「manの表示が間違ってませんか？」というご指摘を受けました。

確認してみた所、セーフレベルのデフォルト値がおかしいようです。

$ man ruby

(snip)

-T[level]      Turns on taint checks at the specified level (default 1).

上記の部分は"(default 0)"ではないでしょうか？

 その default は -T[level] の level を省略した場合のデフォルト値を

指してるんじゃないかと思います。

$ cat t.rb

p $SAFE
$ ruby19 -T t.rb

1

$ ruby19 -T2 t.rb

2

--

Yusuke ENDOH mame@tsg.ne.jp

=end

#2 - 10/25/2009 12:40 AM - matz (Yukihiro Matsumoto)

=begin

まつもと ゆきひろです

In message "Re: [ruby-dev:39533] [Bug #2263] typo in man/ruby.1"

on Sun, 25 Oct 2009 00:31:59 +0900, Narihiro Nakamura redmine@ruby-lang.org writes:

|今日、とある方から「manの表示が間違ってませんか？」というご指摘を受けました。

|確認してみた所、セーフレベルのデフォルト値がおかしいようです。

コミットしてください。

=end

#3 - 10/25/2009 01:39 AM - matz (Yukihiro Matsumoto)

=begin

まつもと ゆきひろです

In message "Re: [ruby-dev:39534] Re: [Bug #2263] typo in man/ruby.1"

on Sun, 25 Oct 2009 00:39:49 +0900, Yusuke ENDOH mame@tsg.ne.jp writes:

|>     -T[level]      Turns on taint checks at the specified level (default 1).

|>

|> 上記の部分は"(default 0)"ではないでしょうか？

|

|その default は -T[level] の level を省略した場合のデフォルト値を

|指してるんじゃないかと思います。

あ、そうか。さっきの「コミットしてください」は撤回します。

なお、よりよい文面の提案は歓迎します。

=end

#4 - 10/25/2009 11:01 AM - yugui (Yuki Sonoda)

=begin

Yugui@メンテナ です。

2009年10月25日1:39 Yukihiro Matsumoto matz@ruby-lang.org:

|その default は -T[level] の level を省略した場合のデフォルト値を

|指してるんじゃないかと思います。

あ、そうか。さっきの「コミットしてください」は撤回します。

なお、よりよい文面の提案は歓迎します。

 はい。そういうことだと理解してます。より良い文言の提案は歓迎します。

--

Yuki Sonoda (Yugui)

yugui@yugui.jp

http://yugui.jp

=end

#5 - 10/25/2009 11:08 AM - hasari (Hiro Asari)

=begin

-T[level] Turns on taint checking by setting $SAFE to 'level' (to 1 if 'level' is omitted)

というような感じではどうですか。ちょっと長過ぎますね。
=end

#6 - 10/25/2009 11:15 AM - mame (Yusuke Endoh)

=begin

遠藤です。

2009年10月25日11:01 Yugui yugui@yugui.jp:

Yugui@メンテナ です。

2009年10月25日1:39 Yukihiro Matsumoto matz@ruby-lang.org:

|その default は -T[level] の level を省略した場合のデフォルト値を

|指してるんじゃないかと思います。

あ、そうか。さっきの「コミットしてください」は撤回します。

なお、よりよい文面の提案は歓迎します。

 はい。そういうことだと理解してます。より良い文言の提案は歓迎します。

 man はともかく -help の -W[level] の説明が 80 文字に収まってないのですが、

もう諦めたんでしょうか。そこで

-T[level=1]     turn on tainting checks

-W[level=2]     set warning level; 0=silence, 1=medium, 2=verbose

というのはどうでしょうか。短い上にオプショナル引数っぽくてわかりやすいと

思います。

--

Yusuke ENDOH mame@tsg.ne.jp

=end

#7 - 10/26/2009 05:12 AM - matz (Yukihiro Matsumoto)

=begin

まつもと ゆきひろです

In message "Re: [ruby-dev:39539] Re: [Bug #2263] typo in man/ruby.1"

on Sun, 25 Oct 2009 11:15:17 +0900, Yusuke ENDOH mame@tsg.ne.jp writes:

|man はともかく -help の -W[level] の説明が 80 文字に収まってないのですが、

|もう諦めたんでしょうか。そこで

|

|  -T[level=1]     turn on tainting checks

|  -W[level=2]     set warning level; 0=silence, 1=medium, 2=verbose

|

|というのはどうでしょうか。短い上にオプショナル引数っぽくてわかりやすいと

|思います。

なる。コミットしてくださいませんか？

=end

#8 - 10/26/2009 12:43 PM - mame (Yusuke Endoh)

=begin

遠藤です。

2009年10月26日7:57 Hideo Konami konami@kyoto-wu.ac.jp:

In message "Re: [ruby-dev:39539] Re: [Bug #2263] typo in man/ruby.1"

on Sun, 25 Oct 2009 11:15:17 +0900, Yusuke ENDOH mame@tsg.ne.jp writes:

|man はともかく -help の -W[level] の説明が 80 文字に収まってないのですが、

|もう諦めたんでしょうか。そこで

|

|  -T[level=1]     turn on tainting checks

|  -W[level=2]     set warning level; 0=silence, 1=medium, 2=verbose
 英語的には silence -> silent が正しいのではないですかね。　もっとも，ど

っちかというと quiet のほうがいいように思います。

 そこは原文を変えなかっただけです。確かに quiet の方が自然な気がしますが、

silence は -W が導入された 2003 年以来の表現で、今まで native から指摘

されたことがなかったというのも不思議ですね。あきらめられてるのかな。

ruby-core で「--help や man を校正してくれ」って言ってみましょうか。

--

Yusuke ENDOH mame@tsg.ne.jp

=end

#9 - 11/02/2009 11:16 AM - naruse (Yui NARUSE)

- Category set to doc

- Status changed from Open to Closed

=begin

fixed by r25486

=end
